﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __Tax = LightSwitchApplication.Tax

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class Tax
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __Tax, __Tax.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the Tax entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Tax))
            MyBase.New(entitySet)
            
            __Tax.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Tax_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Tax_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __Tax.DetailsClass.GetValue(Me, __Tax.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __Tax.DetailsClass.SetValue(Me, __Tax.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __Tax.DetailsClass.GetValue(Me, __Tax.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __Tax.DetailsClass.SetValue(Me, __Tax.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property TaxName As String
            Get
                Return __Tax.DetailsClass.GetValue(Me, __Tax.DetailsClass.PropertySetProperties.TaxName)
            End Get
            Set
                __Tax.DetailsClass.SetValue(Me, __Tax.DetailsClass.PropertySetProperties.TaxName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TaxName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TaxName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TaxName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Amount As Decimal
            Get
                Return __Tax.DetailsClass.GetValue(Me, __Tax.DetailsClass.PropertySetProperties.Amount)
            End Get
            Set
                __Tax.DetailsClass.SetValue(Me, __Tax.DetailsClass.PropertySetProperties.Amount, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Amount_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Amount_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Amount_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property Products As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.Product)
            Get
                Return __Tax.DetailsClass.GetValue(Me, __Tax.DetailsClass.PropertySetProperties.Products)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property ProductsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.Product)
            Get
                Return __Tax.DetailsClass.GetQuery(Me, __Tax.DetailsClass.PropertySetProperties.Products)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __Tax, _
                __Tax.DetailsClass, _
                __Tax.DetailsClass.IImplementation, _
                __Tax.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Tax, __Tax.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Tax, __Tax.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __Tax.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __TaxEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Tax, __Tax.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Tax, __Tax.DetailsClass).Entry( _
                    AddressOf __Tax.DetailsClass.__Tax_CreateNew, _
                    AddressOf __Tax.DetailsClass.__Tax_Created, _
                    AddressOf __Tax.DetailsClass.__Tax_AllowSaveWithErrors)
            Private Shared Function __Tax_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Tax)) As __Tax
                Return New __Tax(es)
            End Function
            Private Shared Sub __Tax_Created(e As __Tax)
                e.Tax_Created()
            End Sub
            Private Shared Function __Tax_AllowSaveWithErrors(e As __Tax) As Boolean
                Dim result As Boolean = False
                e.Tax_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Tax, __Tax.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Tax, __Tax.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __Tax.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __Tax, __Tax.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Tax.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Tax.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property TaxName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Tax.DetailsClass.PropertySetProperties.TaxName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Amount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Tax.DetailsClass.PropertySetProperties.Amount),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property Products As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Tax, __Tax.DetailsClass, Global.LightSwitchApplication.Product)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Tax.DetailsClass.PropertySetProperties.Products),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Tax, __Tax.DetailsClass, Global.LightSwitchApplication.Product))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property TaxName As String
                Shadows Property Amount As Decimal
                Shadows ReadOnly Property Products As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Tax.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Integer).Data), d As __Tax.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __Tax) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __Tax, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __Tax.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __Tax.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __Tax)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Tax.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Byte()).Data), d As __Tax.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __Tax) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __Tax, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __Tax.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __Tax.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __Tax)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly TaxName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, String).Entry( _
                        "TaxName", _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._TaxName_Stub, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._TaxName_ComputeIsReadOnly, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._TaxName_Validate, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._TaxName_GetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._TaxName_SetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._TaxName_OnValueChanged)
                Private Shared Sub _TaxName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Tax.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, String).Data), d As __Tax.DetailsClass, sf As Object)
                    c(d, d._TaxName, sf)
                End Sub
                Private Shared Function _TaxName_ComputeIsReadOnly(e As __Tax) As Boolean
                    Dim result As Boolean = False
                    e.TaxName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _TaxName_Validate(e As __Tax, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.TaxName_Validate(r)
                End Sub
                Private Shared Function _TaxName_GetImplementationValue(d As __Tax.DetailsClass) As String
                    Return d.ImplementationEntity.TaxName
                End Function
                Private Shared Sub _TaxName_SetImplementationValue(d As __Tax.DetailsClass, v As String)
                    d.ImplementationEntity.TaxName = v
                End Sub
                Private Shared Sub _TaxName_OnValueChanged(e As __Tax)
                    e.TaxName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Amount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Decimal).Entry( _
                        "Amount", _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Amount_Stub, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Amount_ComputeIsReadOnly, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Amount_Validate, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Amount_GetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Amount_SetImplementationValue, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Amount_OnValueChanged)
                Private Shared Sub _Amount_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Tax.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Decimal).Data), d As __Tax.DetailsClass, sf As Object)
                    c(d, d._Amount, sf)
                End Sub
                Private Shared Function _Amount_ComputeIsReadOnly(e As __Tax) As Boolean
                    Dim result As Boolean = False
                    e.Amount_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Amount_Validate(e As __Tax, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Amount_Validate(r)
                End Sub
                Private Shared Function _Amount_GetImplementationValue(d As __Tax.DetailsClass) As Decimal
                    Return d.ImplementationEntity.Amount
                End Function
                Private Shared Sub _Amount_SetImplementationValue(d As __Tax.DetailsClass, v As Decimal)
                    d.ImplementationEntity.Amount = v
                End Sub
                Private Shared Sub _Amount_OnValueChanged(e As __Tax)
                    e.Amount_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Products As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Tax, __Tax.DetailsClass, Global.LightSwitchApplication.Product).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Tax, __Tax.DetailsClass, Global.LightSwitchApplication.Product).Entry( _
                        "Products", _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Products_Stub, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Products_GetReferencedEntities, _
                        AddressOf __Tax.DetailsClass.PropertySetProperties._Products_GetEntityCollection)
                Private Shared Sub _Products_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Tax.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Tax, __Tax.DetailsClass, Global.LightSwitchApplication.Product).Data), d As __Tax.DetailsClass, sf As Object)
                    c(d, d._Products, sf)
                End Sub
                Private Shared Function _Products_GetReferencedEntities(d As __Tax.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.Product)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.Product, Global.LightSwitchApplication.Product.DetailsClass)(__Tax.DetailsClass.PropertySetProperties.Products, d._Products)
                End Function
                Private Shared Function _Products_GetEntityCollection(d As __Tax.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.Products
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _TaxName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Amount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Tax, __Tax.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Products As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Tax, __Tax.DetailsClass, Global.LightSwitchApplication.Product).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
